package com.bxzk.afxj.retrofit;

import java.util.List;

public class News{
    public News() {
    }

    public News(boolean hasNext, String retcode) {
        this.hasNext = hasNext;
        this.retcode = retcode;
    }

    /**
     * hasNext : true
     * retcode : 000000
     * appCode : qihoo
     * dataType : news
     * pageToken : 2
     * data : [{"posterId":null,"content":"最新的剧情中,陆晨曦(","posterScreenName":"腾讯","tags":null,"url":"http://ent.qq.com/a/20170508/023354.htm","publishDateStr":"2017-05-08T03:46:00","title":"白百何陷医患风波 《外科》靳东职业生涯遇危机","publishDate":1494215160,"commentCount":null,"imageUrls":null,"id":"c028fc8126658124bc8f21a13650d51b"}]
     */

    private boolean hasNext;
    private String retcode;
    private String appCode;
    private String dataType;
    private String pageToken;
    private List<DataBean> data;

    public boolean isHasNext() {
        return hasNext;
    }

    public void setHasNext(boolean hasNext) {
        this.hasNext = hasNext;
    }

    public String getRetcode() {
        return retcode;
    }

    public void setRetcode(String retcode) {
        this.retcode = retcode;
    }

    public String getAppCode() {
        return appCode;
    }

    public void setAppCode(String appCode) {
        this.appCode = appCode;
    }

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }

    public String getPageToken() {
        return pageToken;
    }

    public void setPageToken(String pageToken) {
        this.pageToken = pageToken;
    }

    public List<DataBean> getData() {
        return data;
    }

    public void setData(List<DataBean> data) {
        this.data = data;
    }

    public static class DataBean {
        /**
         * posterId : null
         * content : 最新的剧情中,陆晨曦(
         * posterScreenName : 腾讯
         * tags : null
         * url : http://ent.qq.com/a/20170508/023354.htm
         * publishDateStr : 2017-05-08T03:46:00
         * title : 白百何陷医患风波 《外科》靳东职业生涯遇危机
         * publishDate : 1494215160
         * commentCount : null
         * imageUrls : null
         * id : c028fc8126658124bc8f21a13650d51b
         */

        private Object posterId;
        private String content;
        private String posterScreenName;
        private Object tags;
        private String url;
        private String publishDateStr;
        private String title;
        private int publishDate;
        private Object commentCount;
        private Object imageUrls;
        private String id;

        public Object getPosterId() {
            return posterId;
        }

        public void setPosterId(Object posterId) {
            this.posterId = posterId;
        }

        public String getContent() {
            return content;
        }

        public void setContent(String content) {
            this.content = content;
        }

        public String getPosterScreenName() {
            return posterScreenName;
        }

        public void setPosterScreenName(String posterScreenName) {
            this.posterScreenName = posterScreenName;
        }

        public Object getTags() {
            return tags;
        }

        public void setTags(Object tags) {
            this.tags = tags;
        }

        public String getUrl() {
            return url;
        }

        public void setUrl(String url) {
            this.url = url;
        }

        public String getPublishDateStr() {
            return publishDateStr;
        }

        public void setPublishDateStr(String publishDateStr) {
            this.publishDateStr = publishDateStr;
        }

        public String getTitle() {
            return title;
        }

        public void setTitle(String title) {
            this.title = title;
        }

        public int getPublishDate() {
            return publishDate;
        }

        public void setPublishDate(int publishDate) {
            this.publishDate = publishDate;
        }

        public Object getCommentCount() {
            return commentCount;
        }

        public void setCommentCount(Object commentCount) {
            this.commentCount = commentCount;
        }

        public Object getImageUrls() {
            return imageUrls;
        }

        public void setImageUrls(Object imageUrls) {
            this.imageUrls = imageUrls;
        }

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }
    }
}
